Package de.gebit.integrity.utils

## Enum ParsedDocumentationComment.DocCommentElementType

- java.lang.Object
- - java.lang.Enum<ParsedDocumentationComment.DocCommentElementType>
  - - de.gebit.integrity.utils.ParsedDocumentationComment.DocCommentElementType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ParsedDocumentationComment.DocCommentElementType>`
  Enclosing class:
    ParsedDocumentationComment

      public static enum ParsedDocumentationComment.DocCommentElementType
      extends Enum<ParsedDocumentationComment.DocCommentElementType>

  The supported types of elements in documentation comments.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOLD` | Bold text.
    `CODE` | Code segments.
    `HEADER_1` | Biggest header.
    `HEADER_2` | Second-biggest header.
    `ITALIC` | Italic text.
    `LIST_ELEMENT` | List element.
    `NEWLINE` | New line.
    `ORDERED_LIST` | Ordered list.
    `PARAGRAPH` | New paragraph.
    `TEXT` | Simple, plain text.
    `UNORDERED_LIST` | Unordered list.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `doesMatch​(String aPossibleMatch)` | Whether a provided possible match matches this type.
    `boolean` | `isSpanning()` |
    `static ParsedDocumentationComment.DocCommentElementType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ParsedDocumentationComment.DocCommentElementType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final ParsedDocumentationComment.DocCommentElementType TEXT

      Simple, plain text.

    - #### NEWLINE

          public static final ParsedDocumentationComment.DocCommentElementType NEWLINE

      New line.

    - #### PARAGRAPH

          public static final ParsedDocumentationComment.DocCommentElementType PARAGRAPH

      New paragraph.

    - #### UNORDERED_LIST

          public static final ParsedDocumentationComment.DocCommentElementType UNORDERED_LIST

      Unordered list.

    - #### ORDERED_LIST

          public static final ParsedDocumentationComment.DocCommentElementType ORDERED_LIST

      Ordered list.

    - #### LIST_ELEMENT

          public static final ParsedDocumentationComment.DocCommentElementType LIST_ELEMENT

      List element.

    - #### BOLD

          public static final ParsedDocumentationComment.DocCommentElementType BOLD

      Bold text.

    - #### ITALIC

          public static final ParsedDocumentationComment.DocCommentElementType ITALIC

      Italic text.

    - #### CODE

          public static final ParsedDocumentationComment.DocCommentElementType CODE

      Code segments.

    - #### HEADER_1

          public static final ParsedDocumentationComment.DocCommentElementType HEADER_1

      Biggest header.

    - #### HEADER_2

          public static final ParsedDocumentationComment.DocCommentElementType HEADER_2

      Second-biggest header.

  - ### Method Detail

    - #### values

          public static ParsedDocumentationComment.DocCommentElementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParsedDocumentationComment.DocCommentElementType c : ParsedDocumentationComment.DocCommentElementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParsedDocumentationComment.DocCommentElementType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isSpanning

          public boolean isSpanning()

    - #### doesMatch

          public boolean doesMatch​(String aPossibleMatch)

      Whether a provided possible match matches this type.
      Parameters:
        `aPossibleMatch` -
      Returns: